## ros-rolling-rviz-assimp-vendor 9.1.1

=== CMakeLists.txt ===
# lint_cmake: -readability/wonkycase
cmake_minimum_required(VERSION 3.5)

project(rviz_assimp_vendor)

option(FORCE_BUILD_VENDOR_PKG
  "Build assimp from source, even if system-installed package is available"
  OFF)

find_package(ament_cmake REQUIRED)

set(PACKAGE_VERSION "1.0.0")

macro(build_assimp)
  set(extra_cmake_args)
  if(DEFINED CMAKE_BUILD_TYPE)
    list(APPEND extra_cmake_args -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE})
  endif()
  if(WIN32)
    # the /EHsc flag is needed to prevent warnings within the assimp build
    list(APPEND extra_cmake_args "-DCMAKE_CXX_FLAGS=/w /EHsc")
    list(APPEND extra_cmake_args "-DCMAKE_C_FLAGS=/w")
  else()
    list(APPEND extra_cmake_args "-DCMAKE_CXX_FLAGS=-std=c++14 -w")
    list(APPEND extra_cmake_args "-DCMAKE_C_FLAGS=-w")
  endif()

  list(APPEND extra_cmake_args "-DASSIMP_BUILD_ASSIMP_TOOLS=OFF")
  list(APPEND extra_cmake_args "-DASSIMP_BUILD_TESTS=OFF")
  list(APPEND extra_cmake_args "-DASSIMP_BUILD_SAMPLES=OFF")

  if(WIN32 AND NOT ${CMAKE_VERBOSE_MAKEFILE})
    set(should_log ON)  # prevent warnings in Windows CI
  else()
    set(should_log OFF)
  endif()

  include(ExternalProject)
  ExternalProject_Add(assimp-4.1.0
    URL https://github.com/assimp/assimp/archive/v4.1.0.tar.gz
    URL_MD5 83b53a10c38d964bd1e69da0606e2727
    TIMEOUT 600
    LOG_CONFIGURE ${should_log}
    LOG_BUILD ${should_log}
    CMAKE_ARGS
      -DCMAKE_INSTALL_PREFIX=${CMAKE_CURRENT_BINARY_DIR}/assimp_install
      ${extra_cmake_args}
      -Wno-dev
  )

  # The external project will install to the build folder, but we'll install that on make install.
  install(
    DIRECTORY
      ${CMAKE_CURRENT_BINARY_DIR}/assimp_install/
    DESTINATION
      ${CMAKE_INSTALL_PREFIX}/opt/rviz_assimp_vendor
    USE_SOURCE_PERMISSIONS
  )
endmacro()

# Override ON so that the following CMake logic in assimp 5.0.1 and older
# doesn't result in a CMake warning: if(ON)
#   https://github.com/ros2/rviz/issues/524
#   https://bugs.launchpad.net/ubuntu/+source/assimp/+bug/1869405
set(ON 1)

find_package(assimp QUIET)

if(FORCE_BUILD_VENDOR_PKG OR NOT assimp_FOUND OR "${assimp_VERSION}" VERSION_LESS 4.1.0)
  build_assimp()

  if(WIN32)
    ament_environment_hooks(env_hook/rviz_assimp_vendor_library_path.bat)
    set(ENV_VAR_NAME "PATH")
    set(ENV_VAR_VALUE "opt\\rviz_assimp_vendor\\bin")
  else()
    ament_environment_hooks(env_hook/rviz_assimp_vendor_library_path.sh)
    if(APPLE)
      set(ENV_VAR_NAME "DYLD_LIBRARY_PATH")
    else()
      set(ENV_VAR_NAME "LD_LIBRARY_PATH")
    endif()
    set(ENV_VAR_VALUE "opt/rviz_assimp_vendor/lib")
  endif()
  ament_environment_hooks(env_hook/rviz_assimp_vendor_library_path.dsv.in)
endif()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(
  CONFIG_EXTRAS "rviz_assimp_vendor-extras.cmake.in"
)

=== debian/changelog ===
ros-rolling-rviz-assimp-vendor (9.1.1-1focal) focal; urgency=high

  * Fix support for assimp 5.1.0 (#817 <https://github.com/ros2/rviz/issues/817>)
  * Contributors: Silvio Traversaro

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 25 Jan 2022 08:00:00 -0000

ros-rolling-rviz-assimp-vendor (9.1.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 13 Jan 2022 08:00:00 -0000

ros-rolling-rviz-assimp-vendor (9.0.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-rviz-assimp-vendor (9.0.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Nov 2021 08:00:00 -0000

ros-rolling-rviz-assimp-vendor (8.7.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 11 Aug 2021 07:00:00 -0000

ros-rolling-rviz-assimp-vendor (8.6.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 13 May 2021 07:00:00 -0000

ros-rolling-rviz-assimp-vendor (8.5.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rviz-assimp-vendor (8.4.0-1focal) focal; urgency=high

  * Always preserve source permissions in vendor packages (#647 <https://github.com/ros2/rviz/issues/647>)
  * Add an override flag to force vendored build (#642 <https://github.com/ros2/rviz/issues/642>)
  * Contributors: Scott K Logan

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-rviz-assimp-vendor (8.3.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-rviz-assimp-vendor (8.3.0-1focal) focal; urgency=high

  * Add linters and use ament_lint_auto (#608 <https://github.com/ros2/rviz/issues/608>)
  * Update maintainers (#607 <https://github.com/ros2/rviz/issues/607>)
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-rviz-assimp-vendor (8.2.0-1focal) focal; urgency=high

  * Updated a hack to avoid CMake warning with assimp 5.0.1 and older, applying it cross platforms (#565 <https://github.com/ros2/rviz/issues/565>)
  * Contributors: Dirk Thomas

 -- William Woodall <william@osrfoundation.org>  Tue, 23 Jun 2020 07:00:00 -0000

ros-rolling-rviz-assimp-vendor (8.1.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-rolling-rviz-assimp-vendor (8.1.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-rolling-rviz-assimp-vendor (8.0.3-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 02 Jun 2020 07:00:00 -0000

ros-rolling-rviz-assimp-vendor (8.0.2-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 21 May 2020 07:00:00 -0000

ros-rolling-rviz-assimp-vendor (8.0.1-1focal) focal; urgency=high

  * Make rviz_assimp_vendor hack specific to Ubuntu Focal. (#536 <https://github.com/ros2/rviz/issues/536>)
  * Contributors: Chris Lalancette

 -- William Woodall <william@osrfoundation.org>  Thu, 07 May 2020 07:00:00 -0000

ros-rolling-rviz-assimp-vendor (8.0.0-1focal) focal; urgency=high

  * Note from wjwwood: I've chosen bump the major version this time, even though the API was not broken strictly speaking, partly because of some potentially disruptive build system changes and partially in preparation for ROS Foxy, to allow for new minor/patch versions in the previous ROS release Eloquent.
  * Suppressed an upstream cmake warning in assimp. (#534 <https://github.com/ros2/rviz/issues/534>)
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Fri, 01 May 2020 07:00:00 -0000

ros-rolling-rviz-assimp-vendor (7.0.3-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 13 Nov 2019 08:00:00 -0000

ros-rolling-rviz-assimp-vendor (7.0.2-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-rviz-assimp-vendor (7.0.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 04 Oct 2019 07:00:00 -0000

ros-rolling-rviz-assimp-vendor (7.0.0-1focal) focal; urgency=high

  * Add .dsv file beside custom environment hook (#466 <https://github.com/ros2/rviz/issues/466>)
  * Contributors: Dirk Thomas

 -- William Woodall <william@osrfoundation.org>  Fri, 27 Sep 2019 07:00:00 -0000

ros-rolling-rviz-assimp-vendor (6.1.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 29 May 2019 07:00:00 -0000

ros-rolling-rviz-assimp-vendor (6.1.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 20 May 2019 07:00:00 -0000

ros-rolling-rviz-assimp-vendor (6.0.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 08 May 2019 07:00:00 -0000

ros-rolling-rviz-assimp-vendor (5.1.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 14 Jan 2019 08:00:00 -0000

ros-rolling-rviz-assimp-vendor (5.0.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 04 Dec 2018 08:00:00 -0000

ros-rolling-rviz-assimp-vendor (4.0.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 28 Jun 2018 07:00:00 -0000

ros-rolling-rviz-assimp-vendor (4.0.0-1focal) focal; urgency=high

  * Fixed the exported CMake variables to workaround the upstream ``libassimp-dev`` bug. (#288 <https://github.com/ros2/rviz/issues/288>)
  * Contributors: Andreas Holzner, Dirk Thomas, Martin Idel

 -- William Woodall <william@osrfoundation.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-rolling-rviz-assimp-vendor (3.0.0-1focal) focal; urgency=high

  * Switched to assimp version 4.1.0. (#169 <https://github.com/ros2/rviz/issues/169>)



=== debian/control ===
Source: ros-rolling-rviz-assimp-vendor
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libassimp-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-lint-cmake, ros-rolling-ament-cmake-xmllint, ros-rolling-ament-lint-auto, ros-rolling-ros-workspace
Homepage: http://assimp.sourceforge.net/index.html
Standards-Version: 3.9.2

Package: ros-rolling-rviz-assimp-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libassimp-dev, ros-rolling-ros-workspace
Description: Wrapper around assimp, providing nothing but a dependency on assimp, on some systems.
 On others, it provides a fixed CMake module or even an ExternalProject build of assimp.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rviz-assimp-vendor//opt/ros/rolling/lib/:$(CURDIR)/debian/ros-rolling-rviz-assimp-vendor//opt/ros/rolling/opt/rviz_assimp_vendor/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rviz-assimp-vendor 13.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(rviz_assimp_vendor)

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_vendor_package REQUIRED)

# Override ON so that the following CMake logic in assimp 5.0.1 and older
# doesn't result in a CMake warning: if(ON)
#   https://github.com/ros2/rviz/issues/524
#   https://bugs.launchpad.net/ubuntu/+source/assimp/+bug/1869405
set(ON 1)

# TODO: Switch to version range in find_package in CMake 3.19
find_package(assimp QUIET)
if(NOT assimp_FOUND OR "${assimp_VERSION}" VERSION_LESS 5.2.0)
  set(assimp_FOUND FALSE)
endif()

if(MSVC)
  # TODO(clalancette): When building assimp 5.2.2 on Windows Debug,
  # it fails to install the PDB file with a "File exists" error.
  # Since we don't really need the PDB file, just unconditionally
  # disable it.
  set(ASSIMP_CMAKE_FLAGS "-DASSIMP_INSTALL_PDB=OFF")

  set(ASSIMP_CXX_FLAGS "/EHsc ${CMAKE_CXX_FLAGS}")
  set(ASSIMP_CXX_FLAGS "/wd4700 ${ASSIMP_CXX_FLAGS}")
else()
  set(ASSIMP_CMAKE_FLAGS "-DCMAKE_INSTALL_LIBDIR=lib")

  set(ASSIMP_CXX_FLAGS "-std=c++14 ${CMAKE_CXX_FLAGS}")
endif()

ament_vendor(assimp_vendor
  SATISFIED ${assimp_FOUND}
  VCS_URL https://github.com/assimp/assimp.git
  VCS_VERSION v5.2.2
  CMAKE_ARGS
    -DASSIMP_BUILD_ASSIMP_TOOLS:BOOL=OFF
    -DASSIMP_BUILD_TESTS:BOOL=OFF
    -DASSIMP_BUILD_SAMPLES:BOOL=OFF
    "${ASSIMP_CMAKE_FLAGS}"
    "-DCMAKE_CXX_FLAGS=${ASSIMP_CXX_FLAGS}"
  PATCHES patches
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(
  CONFIG_EXTRAS "rviz_assimp_vendor-extras.cmake.in"
)

=== debian/changelog ===
ros-rolling-rviz-assimp-vendor (13.1.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (13.0.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (12.8.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 27 Aug 2023 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (12.7.0-1jammy) jammy; urgency=high

  * Update to assimp 5.2.2 (#968 <https://github.com/ros2/rviz/issues/968>)
  * Fix the vendoring flags for clang compilation. (#1003 <https://github.com/ros2/rviz/issues/1003>)
  * Switch to ament_cmake_vendor_package (#995 <https://github.com/ros2/rviz/issues/995>)
  * Contributors: Chris Lalancette, Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (12.6.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 12 Jun 2023 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (12.6.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (12.5.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (12.5.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (12.4.0-1jammy) jammy; urgency=high

  * If vendored assimp is present, always prefer that (#970 <https://github.com/ros2/rviz/issues/970>)
  * Contributors: Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 18 Apr 2023 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (12.3.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (12.3.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 01 Mar 2023 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (12.3.0-1jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#923 <https://github.com/ros2/rviz/issues/923>)
  * Contributors: Audrow Nash

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (12.2.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 07 Nov 2022 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (12.1.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (12.0.0-1jammy) jammy; urgency=high

  * Fixes policy CMP0135 warning for CMake >= 3.24 (#898 <https://github.com/ros2/rviz/issues/898>)
  * Contributors: Cristóbal Arroyo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (11.3.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 Apr 2022 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (11.2.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (11.1.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 30 Mar 2022 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (11.1.0-1jammy) jammy; urgency=high

  * Make sure to pass compiler and flags down to assimp (#844 <https://github.com/ros2/rviz/issues/844>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 24 Mar 2022 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (11.0.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (10.0.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 16 Feb 2022 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (9.1.1-1jammy) jammy; urgency=high

  * Fix support for assimp 5.1.0 (#817 <https://github.com/ros2/rviz/issues/817>)
  * Contributors: Silvio Traversaro

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 25 Jan 2022 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (9.1.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Jan 2022 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (9.0.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (9.0.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Nov 2021 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (8.7.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 11 Aug 2021 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (8.6.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 May 2021 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (8.5.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-rviz-assimp-vendor (8.4.0-1jammy) jammy; urgency=high

  * Always preserve source permissions in vendor packages (#647 <https://github.com/ros2/rviz/issues/647>)
  * Add an override flag to force vendored build (#642 <https://github.com/ros2/rviz/issues/642>)
  * Contributors: Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000



=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ros-rolling-rviz-assimp-vendor
 Section: misc
 Priority: optional
-Maintainer: Jacob Perron <jacob@openrobotics.org>
-Build-Depends: debhelper (>= 9.0.0), libassimp-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-lint-cmake, ros-rolling-ament-cmake-xmllint, ros-rolling-ament-lint-auto, ros-rolling-ros-workspace
+Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
+Build-Depends: debhelper (>= 9.0.0), libassimp-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-lint-cmake <!nocheck>, ros-rolling-ament-cmake-vendor-package, ros-rolling-ament-cmake-xmllint <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ros-workspace
 Homepage: http://assimp.sourceforge.net/index.html
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -51,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rviz-assimp-vendor//opt/ros/rolling/lib/:$(CURDIR)/debian/ros-rolling-rviz-assimp-vendor//opt/ros/rolling/opt/rviz_assimp_vendor/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rviz-assimp-vendor//opt/ros/rolling/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
